/***************************************************************************
 *   Copyright (C) 2005 Nicolas Hadacek <hadacek@kde.org>                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef PROG_CONFIG_CENTER_H
#define PROG_CONFIG_CENTER_H

#include <tqcheckbox.h>

#include "common/gui/config_widget.h"
#include "common/gui/key_gui.h"
#include "progs/base/prog_config.h"
class Container;
class PortSelector;

namespace Programmer
{
BEGIN_DECLARE_CONFIG_WIDGET(Config, OptionsConfigWidget)
  virtual TQString header() const { return i18n("Programmer Options"); }
  virtual TQString title() const { return i18n("Programmer Options"); }
  virtual TQPixmap pixmap() const;
END_DECLARE_CONFIG_WIDGET

//----------------------------------------------------------------------------
class SelectConfigWidget : public ::ConfigWidget
{
Q_OBJECT
  TQ_OBJECT
public:
  SelectConfigWidget();
  virtual void loadConfig() {}
  virtual TQString header() const { return i18n("Programmer Selection"); }
  virtual TQString title() const { return i18n("Programmer Selection"); }
  virtual TQPixmap pixmap() const;

public slots:
  virtual void saveConfig();

private slots:
  void programmerChanged();
  void portChanged();

private:
  KeyComboBox<TQString> *_combo;
  PortSelector   *_portSelector;
  KeyWidgetStack<TQString> *_stack;
  Container      *_portSelectorContainer;
  TQTabWidget     *_tabWidget;
};

} // namespace

#endif
